Page MenuHomePhabricator

Latest DonationInterface unusable under CRM
Closed, ResolvedPublic4 Story Points

Description

I did some refactoring earlier to stop accessing superglobals. Unfortunately, that put a bunch of Mediawiki-specific classes on the code paths that CRM uses to charge recurring Ingenico donations.

Event Timeline

Ejegg created this task.Apr 4 2016, 8:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2016, 8:35 PM
awight added a subscriber: awight.Apr 4 2016, 8:38 PM
DStrine triaged this task as Normal priority.Apr 7 2016, 8:40 PM
DStrine set the point value for this task to 4.

Change 300804 had a related patch set uploaded (by Awight):
[WIP] Some decoupling of GatewayPage from GatewayType

https://gerrit.wikimedia.org/r/300804

Change 300805 had a related patch set uploaded (by Awight):
[WIP] WmfFramework-ization of some MediaWiki assumptions

https://gerrit.wikimedia.org/r/300805

Change 300805 abandoned by Awight:
[WIP] WmfFramework-ization of some MediaWiki assumptions

Reason:
squashed

https://gerrit.wikimedia.org/r/300805

Change 300918 had a related patch set uploaded (by Awight):
WmfFramework-ize some HTTP request functions

https://gerrit.wikimedia.org/r/300918

Change 300933 had a related patch set uploaded (by Awight):
More places where batch jobs shouldn't be pulling from the request

https://gerrit.wikimedia.org/r/300933

Change 300933 merged by jenkins-bot:
More places where batch jobs shouldn't be pulling from the request

https://gerrit.wikimedia.org/r/300933

Change 300918 merged by jenkins-bot:
WmfFramework-ize some HTTP request functions

https://gerrit.wikimedia.org/r/300918

Change 300804 merged by jenkins-bot:
Some decoupling of GatewayPage from GatewayType

https://gerrit.wikimedia.org/r/300804

Ejegg closed this task as Resolved.Mar 15 2017, 7:13 PM
Ejegg claimed this task.

This is OK now

mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM